A class that takes a music XML file and outputs a SmoScore

### Hierarchy

- XmlToSmo

## Index

### Constructors

- constructor

### Accessors

- vexFontSize

### Methods

- convert
- defaults
- dynamics
- measure
- pageSizeFromLayout
- part
- setSlurDefaults
- setVoltas
- tempo

## Constructors

### constructor

- new XmlToSmo(): XmlToSmo

- #### Returns XmlToSmo

## Accessors

### Static vexFontSize

- get vexFontSize(): number

- - Defined in src/smo/mxml/xmlToSmo.ts:34

  Vex renders everything as if the font size were 39

  #### Returns number

## Methods

### Static convert

- convert(xmlDoc: Document): SmoScore

- - Defined in src/smo/mxml/xmlToSmo.ts:62

  Convert music XML file from parsed xml to a SmoScore

  #### Parameters

  - ##### xmlDoc: Document

  #### Returns SmoScore

### Static defaults

- defaults(defaultsElement: Element, score: SmoScore, layoutDefaults: SmoLayoutManager, xmlState: XmlState): void

- - Defined in src/smo/mxml/xmlToSmo.ts:304

  /score-partwise/defaults

  #### Parameters

  - ##### defaultsElement: Element

  - ##### score: SmoScore

  - ##### layoutDefaults: SmoLayoutManager

  - ##### xmlState: XmlState

  #### Returns void

### Static dynamics

- dynamics(directionElement: Element, xmlState: XmlState): void

- - Defined in src/smo/mxml/xmlToSmo.ts:437

  /score-partwise/measure/direction/dynamics

  #### Parameters

  - ##### directionElement: Element

  - ##### xmlState: XmlState

  #### Returns void

### Static measure

- measure(measureElement: Element, xmlState: XmlState): void

- - Defined in src/smo/mxml/xmlToSmo.ts:732

  /score-partwise/part/measure A measure in music xml might represent several measures in SMO at the same column in the score

  #### Parameters

  - ##### measureElement: Element

  - ##### xmlState: XmlState

  #### Returns void

### Static pageSizeFromLayout

- pageSizeFromLayout(defaultsElement: Element, layoutDefaults: SmoLayoutManager, xmlState: XmlState): void

- - Defined in src/smo/mxml/xmlToSmo.ts:282

  page-layout element occurs in a couple of places

  #### Parameters

  - ##### defaultsElement: Element

  - ##### layoutDefaults: SmoLayoutManager

  - ##### xmlState: XmlState

  #### Returns void

### Static part

- part(partElement: Element, xmlState: XmlState): void

- - Defined in src/smo/mxml/xmlToSmo.ts:342

  /score-partwise/part

  #### Parameters

  - ##### partElement: Element

  - ##### xmlState: XmlState

  #### Returns void

### Static setSlurDefaults

- setSlurDefaults(score: SmoScore): void

- - Defined in src/smo/mxml/xmlToSmo.ts:168

  when building the slurs, we don't always know which direction the beams will go or what other voices there will be.

  #### Parameters

  - ##### score: SmoScore

  #### Returns void

### Static setVoltas

- setVoltas(score: SmoScore, state: XmlState): void

- - Defined in src/smo/mxml/xmlToSmo.ts:194

  After parsing the XML, resolve the voltas we've saved

  #### Parameters

  - ##### score: SmoScore

  - ##### state: XmlState

  #### Returns void

### Static tempo

- tempo(element: Element): {}[]

- - Defined in src/smo/mxml/xmlToSmo.ts:396

  /score-partwise/measure/direction/sound:tempo

  #### Parameters

  - ##### element: Element

  #### Returns {}[]

Generated using TypeDoc